> For the complete documentation index, see [llms.txt](https://knowledge.out-smart.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://knowledge.out-smart.com/openapi/advanced-filters/material_translations-material_translations-token-software_token.md).

# material\_translations \[/material\_translations/{?token,software\_token}]

This api is used to sync material translations with the WorkorderApp.

Each translation record can contain the following data:

| Parameter      | Description                  | Required | Type (size)  |
| -------------- | ---------------------------- | -------- | ------------ |
| reference\_key | material code                | Y        | Varchar (30) |
| original       | string to translate          | Y        | Text         |
| translation    | translation string           | Y        | Text         |
| language       | Translation language ISO 639 | Y        | Varchar (5)  |

* Parameters
  * token (string,required ,`0f24d1e07c8609c0fb111fbcc168f9aaa`) ... WorkorderApp customer token
  * software\_token (string,required , `c316c4532fa7cccdcd572491d9552f80945a51366`) ... WorkorderApp external software token

#### Get material translations \[GET]

* Response 200 (application/json)

StartFragment

{ "code": 200, "messages": \[], "response": \[ { "id": "1", "reference\_key": "1", "original": "HD unit 2500bar", "translation": "Test", "language": "en" }, { "id": "2", "reference\_key": "354578735453", "original": "Artikel voor voorraad 123", "translation": "ojunnn", "language": "ar" }, { "id": "3", "reference\_key": "354578735453", "original": "Artikel voor voorraad 123", "translation": "qwerfde", "language": "ca" }, { "id": "4", "reference\_key": "9", "original": "test artikel met geen voorraad", "translation": "tester", "language": "bg" }, { "id": "5", "reference\_key": "9", "original": "test artikel met geen voorraad", "translation": "qwertw", "language": "hr" }, { "id": "6", "reference\_key": "9", "original": "test artikel met geen voorraad", "translation": "testio", "language": "it" }, { "id": "7", "reference\_key": "12345", "original": "hier", "translation": "daar", "language": "nl" }, { "id": "22", "reference\_key": "1", "original": "testBar", "translation": "Test", "language": "GR" }, { "id": "23", "reference\_key": "1234515", "original": "testBar2", "translation": "Test2", "language": "lu" } ]}

EndFragment

#### Add material translations \[POST]

* Request Correct material translation data posted. `response` will contain the amount of material translation synced with WorkOrderApp (application/json)

StartFragment

\[{"reference\_key": "1","original": "testBar","translation": "Test","language": "GR"}]

EndFragment

* Response 200 (application/json)

StartFragment

{ "code": 200, "messages": \[], "response": 1}

EndFragment

* Request Required value missing. (application/json)

StartFragment

\[{"reference\_key": "1","original": "orgtrans","language": "fr"}]

EndFragment

* Response 200 (application/json)
  * { "code": 1051, "messages": \[ "Required field missing: translation" ], "response": null}

StartFragmenEndFragment

* Request Empty body posted (application/json)
  * Body
* Response 200 (application/json)
  * StartFragmentEndFragment{ "code": 1008, "messages": \[ "Unable to fetch body" ], "response": null}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://knowledge.out-smart.com/openapi/advanced-filters/material_translations-material_translations-token-software_token.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
